### Hierarchy

- TabHeaderGroup

### Implements

- AfterContentInit
- OnChanges
- OnInit

## Index

### Inputs

- ariaLabel
- ariaLabelledby
- cacheActive
- contentAfter
- contentBefore
- followFocus
- isNavigation
- skeleton
- type

### Constructors

- constructor

### Properties

- OVERFLOW_BUTTON_OFFSET
- _cacheActive
- ariaLabel
- ariaLabelledby
- cacheActive
- changeDetectorRef
- contentAfter
- contentBefore
- currentSelectedIndex
- elementRef
- eventService
- followFocus
- headerContainer
- isNavigation
- leftOverflowNavButton
- overflowNavInterval
- rightOverflowNavButton
- selectedSubscriptionTracker
- skeleton
- tabHeaderQuery
- type

### Accessors

- hasHorizontalOverflow
- leftOverflowNavButtonHidden
- rightOverflowNavButtonHidden

### Methods

- getSelectedTab
- handleOverflowNavClick
- handleOverflowNavMouseDown
- handleOverflowNavMouseUp
- handleScroll
- keyboardInput
- ngAfterContentInit
- ngOnChanges
- ngOnInit

## Constructors

### constructor

- new TabHeaderGroup(elementRef: ElementRef, changeDetectorRef: ChangeDetectorRef, eventService: EventService): TabHeaderGroup

- - Defined in src/tabs/tab-header-group.component.ts:168

  #### Parameters

  - ##### elementRef: ElementRef

  - ##### changeDetectorRef: ChangeDetectorRef

  - ##### eventService: EventService

  #### Returns TabHeaderGroup

## Properties

### OVERFLOW_BUTTON_OFFSET

OVERFLOW_BUTTON_OFFSET: number = 40

- Defined in src/tabs/tab-header-group.component.ts:164

### Private _cacheActive

_cacheActive: boolean = false

- Defined in src/tabs/tab-header-group.component.ts:166

### ariaLabel

@Input()
ariaLabel: string

- Defined in src/tabs/tab-header-group.component.ts:108

### ariaLabelledby

@Input()
ariaLabelledby: string

- Defined in src/tabs/tab-header-group.component.ts:112

### cacheActive

@Input()
cacheActive: boolean = false

- Defined in src/tabs/tab-header-group.component.ts:122

### Protected changeDetectorRef

changeDetectorRef: ChangeDetectorRef

- Defined in src/tabs/tab-header-group.component.ts:172

### contentAfter

@Input()
contentAfter: TemplateRef<any>

- Defined in src/tabs/tab-header-group.component.ts:114

### contentBefore

@Input()
contentBefore: TemplateRef<any>

- Defined in src/tabs/tab-header-group.component.ts:116

### currentSelectedIndex

currentSelectedIndex: number = 0

- Defined in src/tabs/tab-header-group.component.ts:145

### Protected elementRef

elementRef: ElementRef

- Defined in src/tabs/tab-header-group.component.ts:171

### Protected eventService

eventService: EventService

- Defined in src/tabs/tab-header-group.component.ts:173

### followFocus

@Input()
followFocus: boolean

- Defined in src/tabs/tab-header-group.component.ts:100

### headerContainer

@ViewChild({"selector":"tabList","opts":"{ static: true }"})
headerContainer: any

- Defined in src/tabs/tab-header-group.component.ts:132

### isNavigation

@Input()
isNavigation: boolean = false

- Defined in src/tabs/tab-header-group.component.ts:124

### leftOverflowNavButton

@ViewChild({"selector":"leftOverflowNavButton","opts":"{ static: true }"})
leftOverflowNavButton: any

- Defined in src/tabs/tab-header-group.component.ts:136

### Private overflowNavInterval

overflowNavInterval: any

- Defined in src/tabs/tab-header-group.component.ts:168

### rightOverflowNavButton

@ViewChild({"selector":"rightOverflowNavButton","opts":"{ static: true }"})
rightOverflowNavButton: any

- Defined in src/tabs/tab-header-group.component.ts:134

### selectedSubscriptionTracker

selectedSubscriptionTracker: Subscription = new Subscription()

- Defined in src/tabs/tab-header-group.component.ts:140

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/tabs/tab-header-group.component.ts:104

### tabHeaderQuery

@ContentChildren({"selector":"TabHeader"})
tabHeaderQuery: QueryList<TabHeader>

- Defined in src/tabs/tab-header-group.component.ts:130

### type

@Input()
type: "default" | "container" = "default"

- Defined in src/tabs/tab-header-group.component.ts:125

## Accessors

### hasHorizontalOverflow

hasHorizontalOverflow:

- Defined in src/tabs/tab-header-group.component.ts:147

### leftOverflowNavButtonHidden

leftOverflowNavButtonHidden:

- Defined in src/tabs/tab-header-group.component.ts:152

### rightOverflowNavButtonHidden

rightOverflowNavButtonHidden:

- Defined in src/tabs/tab-header-group.component.ts:157

## Methods

### getSelectedTab

- getSelectedTab(): any

- - Defined in src/tabs/tab-header-group.component.ts:297

  #### Returns any

### handleOverflowNavClick

- handleOverflowNavClick(direction: number, multiplier?: number): void

- - Defined in src/tabs/tab-header-group.component.ts:312

  #### Parameters

  - ##### direction: number

  - ##### Default value multiplier: number = 15

  #### Returns void

### handleOverflowNavMouseDown

- handleOverflowNavMouseDown(direction: number): void

- - Defined in src/tabs/tab-header-group.component.ts:336

  #### Parameters

  - ##### direction: number

  #### Returns void

### handleOverflowNavMouseUp

- handleOverflowNavMouseUp(): void

- - Defined in src/tabs/tab-header-group.component.ts:357

  #### Returns void

### handleScroll

- handleScroll(): void

- - Defined in src/tabs/tab-header-group.component.ts:308

  #### Returns void

### keyboardInput

@HostListener({"eventName":"keydown","args":"[$event]"})

- keyboardInput(event: any): void

- - Defined in src/tabs/tab-header-group.component.ts:181

  #### Parameters

  - ##### event: any

  #### Returns void

### ngAfterContentInit

- ngAfterContentInit(): void

- - Defined in src/tabs/tab-header-group.component.ts:254

  #### Returns void

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

- - Defined in src/tabs/tab-header-group.component.ts:284

  #### Parameters

  - ##### changes: SimpleChanges

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in src/tabs/tab-header-group.component.ts:250

  #### Returns void

Generated using TypeDoc